#
# spec file for package python-pillow-heif
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-pillow-heif
Version:        1.0.0
Release:        1.1
Summary:        Python interface for libheif library
License:        BSD-3-Clause
URL:            https://github.com/bigcat88/pillow_heif
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module Pillow >= 9.5.0}
BuildRequires:  %{python_module Sphinx}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools >= 67.8}
BuildRequires:  %{python_module sphinx-issues}
BuildRequires:  %{python_module sphinx_rtd_theme}
BuildRequires:  %{python_module sphinxcontrib-copybutton}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  pkgconfig(aom) >= 3.3.0
BuildRequires:  pkgconfig(libavif)
BuildRequires:  pkgconfig(libheif) >= 1.18.2
Requires:       python-Pillow >= 9.5.0
Suggests:       python-pillow-heif-doc
%python_subpackages

%description
Python interface for libheif library

%prep
%autosetup -p1 -n pillow_heif-%{version}

%build
%pyproject_wheel

#docs
pushd docs
%make_build html
popd

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}
rm docs/_build/html/.buildinfo
%fdupes docs/_build/html

%files %{python_files}
%doc docs/_build/html
%{python_sitearch}/pillow_heif
%{python_sitearch}/pillow_heif-%{version}.dist-info
%{python_sitearch}/_pillow_heif.cpython-*.so

%changelog
* Mon Jun 30 2025 Richard Rahl <rrahl0@opensuse.org>
- update to 1.0.0:
  * Support for YCbCr AUX images
  * AVIF support was dropped, as the upcoming Pillow has native support
* Sun Mar 16 2025 Richard Rahl <rrahl0@opensuse.org>
- update to 0.22.0:
  * Boolean pillow_heif.options.DISABLE_SECURITY_LIMITS to bypass security
    limit of libheif for the image size.
  * AVIF format marked as deprecated and pending for the removal.
* Fri Nov 29 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.21.0:
  * Allow specifying encoder parameters for non-primary images in image sequence.
  * Error argument '-Ofast' is deprecated when building from source.
- switch to github tarball, so we can build the documentation
* Sat Oct 19 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.20.0:
  * Initial support for parsing auxiliary images.
  * Dropped Python 3.8 support
  * More accurate error handling in the C module
  * Support for Pillow 11.0.0
- remove building option for x265, as I can't verify it for now
* Sat Jul 27 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.18.0:
  * image.info["heif"] dictionary with camera_intrinsic_matrix HEIF
    specific metadata. Currently only reading is supported.
  * python 3.13.0b3 support added
* Fri Jul  5 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.17.0:
  * Support for Pillow 10.4.0
  * Minimum supported Pillow version raised to 10.1.0
  * xmp in info dictionary is now not present if it is empty
  * Processing of the images in P mode with transparency = 0
- adapt packaging to better handle rebuilding
- disable tests for now, as it can't find the correct libs
* Sun Jun  2 2024 Richard Rahl <rrahl0@disroot.org>
- remove itself from BuildRequires
* Wed May 22 2024 Richard Rahl <rrahl0@disroot.org>
- initial packaging
